Panduan pembalasan.id
Reports

Get conversation statistics grouped by inbox

GET
/api/v2/accounts/{account_id}/summary_reports/inbox

Get conversation statistics grouped by inbox for a given date range. Returns metrics for each inbox including conversation counts, resolution counts, average first response time, average resolution time, and average reply time.

Authorization

userApiKey
api_access_token<token>

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

In: header

Path Parameters

account_id*integer

The numeric ID of the account

Query Parameters

since?string

The timestamp from where report should start (Unix timestamp).

until?string

The timestamp from where report should stop (Unix timestamp).

business_hours?boolean

Whether to calculate metrics using business hours only.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v2/accounts/0/summary_reports/inbox"
[
  {
    "id": 1,
    "conversations_count": 150,
    "resolved_conversations_count": 120,
    "avg_resolution_time": 3600,
    "avg_first_response_time": 300,
    "avg_reply_time": 600
  },
  {
    "id": 2,
    "conversations_count": 75,
    "resolved_conversations_count": 60,
    "avg_resolution_time": 1800,
    "avg_first_response_time": 180,
    "avg_reply_time": 420
  }
]
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}